Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# button.hh File Reference

A GtkButton C++ wrapper interface. More...

`#include <xfc/gtk/bin.hh>`
`#include <gtk/gtkbutton.h>`
`#include <xfc/gtk/inline/button.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Button
    A GtkButton C++ wrapper class. More...

## Detailed Description

A GtkButton C++ wrapper interface.

Provides Button, a widget which is generally used to attach a function to that is called when the button is pressed.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3